DomainObjectPdxAuto (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.pdx

## Class DomainObjectPdxAuto

- java.lang.Object
- - org.apache.geode.pdx.DomainObject
  - - org.apache.geode.pdx.DomainObjectPdxAuto

- All Implemented Interfaces:
    org.apache.geode.internal.PdxSerializerObject

      public class DomainObjectPdxAuto
      extends DomainObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DomainObjectPdxAuto.Day`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `aBoolean`
    `boolean[]` | `aBooleanArray`
    `byte` | `aByte`
    `byte[]` | `aByteArray`
    `char` | `aChar`
    `char[]` | `aCharArray`
    `java.util.Collection` | `aCollection`
    `java.util.Date` | `aDate`
    `double` | `aDouble`
    `double[]` | `aDoubleArray`
    `float` | `aFloat`
    `float[]` | `aFloatArray`
    `long` | `aLong`
    `long[]` | `aLongArray`
    `java.util.Map` | `aMap`
    `byte[][]` | `anArrayOfByteArray`
    `DomainObjectPdxAuto.Day` | `anEnum`
    `int` | `anInt`
    `int[]` | `anIntArray`
    `java.lang.Integer` | `anInteger`
    `java.lang.Object` | `anObject`
    `java.lang.Object[]` | `anObjectArray`
    `short` | `aShort`
    `short[]` | `aShortArray`
    `java.lang.String` | `aString`
    `java.lang.String[]` | `aStringArray`
    `protected java.lang.String` | `string_immediate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainObjectPdxAuto()`
    `DomainObjectPdxAuto(int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.geode.pdx.DomainObject

      `get, set`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string_immediate

          protected java.lang.String string_immediate

    - #### anInteger

          public java.lang.Integer anInteger

    - #### aChar

          public char aChar

    - #### aBoolean

          public boolean aBoolean

    - #### aByte

          public byte aByte

    - #### aShort

          public short aShort

    - #### anInt

          public int anInt

    - #### aLong

          public long aLong

    - #### aFloat

          public float aFloat

    - #### aDouble

          public double aDouble

    - #### aDate

          public java.util.Date aDate

    - #### anEnum

          public DomainObjectPdxAuto.Day anEnum

    - #### aString

          public java.lang.String aString

    - #### anObject

          public java.lang.Object anObject

    - #### aMap

          public java.util.Map aMap

    - #### aCollection

          public java.util.Collection aCollection

    - #### aBooleanArray

          public boolean[] aBooleanArray

    - #### aCharArray

          public char[] aCharArray

    - #### aByteArray

          public byte[] aByteArray

    - #### aShortArray

          public short[] aShortArray

    - #### anIntArray

          public int[] anIntArray

    - #### aLongArray

          public long[] aLongArray

    - #### aFloatArray

          public float[] aFloatArray

    - #### aDoubleArray

          public double[] aDoubleArray

    - #### aStringArray

          public java.lang.String[] aStringArray

    - #### anObjectArray

          public java.lang.Object[] anObjectArray

    - #### anArrayOfByteArray

          public byte[][] anArrayOfByteArray

  - ### Constructor Detail

    - #### DomainObjectPdxAuto

          public DomainObjectPdxAuto()

    - #### DomainObjectPdxAuto

          public DomainObjectPdxAuto(int size)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DomainObject`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `DomainObject`